package gitlin

import (
  "fmt"
  "os"

  "github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
  Use:   "gitlin",
  Short: "An alternative front-end for GitHub.",
  Long:  `An alternative front-end for GitHub.`,
  Run: func(cmd *cobra.Command, args []string) {
    cmd.Help()
  },
}

func Execute() {
  if err := rootCmd.Execute(); err != nil {
    fmt.Fprintf(os.Stderr, "Error running Gitlin's CLI: %v", err)
    os.Exit(1)
  }
}
